Bug 469005 - system.getDetails() doesn't include release string
system.getDetails() doesn't include release string
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Justin Sherrill
Sayli Karmarkar
:
Depends On:
Blocks: 456996
  Show dependency treegraph
 
Reported: 2008-10-29 09:30 EDT by Justin Sherrill
Modified: 2015-03-22 21:09 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:53:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2008-10-29 09:30:32 EDT
system.getDetails() doesn't include release string, so there is no way to tell what release a system is without doing some magic (looking at kernel version, etc..)
Comment 1 Justin Sherrill 2008-10-29 09:30:54 EDT
fixed in commit: 028f3340617b963151ed00451c568bf0566238e1
Comment 2 Sayli Karmarkar 2009-01-22 16:20:43 EST
Verfied. system.getDetails() returns release like 'release': '5Server'.

~SayliK
Comment 3 Milan Zazrivec 2009-08-13 05:38:45 EDT
Verified in stage -> RELEASE_PENDING
Comment 4 Brandon Perkins 2009-09-10 15:53:47 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.